Lines
curl --request GET \
--url 'https://api.511.org/transit/lines?api_key='import requests
url = "https://api.511.org/transit/lines?api_key="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.511.org/transit/lines?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Siri": {
"ServiceDelivery": {
"DataObjectDelivery": {
"dataObjects": {
"ServiceFrame": {
"lines": {
"Line": [
{
"id": "SF:49",
"Name": "Van Ness/Mission",
"TransportMode": "bus",
"PublicCode": "49"
}
]
}
}
}
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Static NeTEx
Lines
Route list for a given operator. Based on transit spec section 2.2 and JSON example B.1.2.
GET
/
transit
/
lines
Lines
Authorizations
511.org token query parameter.
Query Parameters
Desired response format. JSON is the default when omitted.
Available options:
json, xml Optional language hint for NeTEx endpoints when multiple languages are available.
Operator or agency identifier.
Line or route identifier.
Response
Line list in JSON or XML.
The response is of type object.